Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface J2EEApplicationConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Description, Enabled, ModuleConfig, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, ObjectType

public interface J2EEApplicationConfig
extends ModuleConfig

representing a J2EEApplicationConfig. Is it really a ModuleConfigMgr; are its submodules exposed as s?

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.config.Description
`DESCRIPTION_KEY`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Method Summary
`boolean` | `getAvailabilityEnabled()` This boolean flag controls whether availability is enabled for SFSB checkpointing (and potentially passivation).
`void` | `setAvailabilityEnabled(boolean enabled)`

Methods inherited from interface com.sun.appserv.management.config.ModuleConfig
`getDirectoryDeployed, getLocation, getName`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.config.Enabled
`getEnabled, setEnabled`

Methods inherited from interface com.sun.appserv.management.config.Description
`getDescription, setDescription`

Methods inherited from interface com.sun.appserv.management.config.ObjectType
`getObjectType, setObjectType`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAvailabilityEnabled

    public boolean getAvailabilityEnabled()

  This boolean flag controls whether availability is enabled for SFSB checkpointing (and potentially passivation). If this is "false", then all SFSB checkpointing is disabled for either the given j2ee app or the given ejb module. If it is "true" (and providing that all the availability-enabled attributes above in precedence are also "true", then the j2ee app or stand-alone ejb modules may be ha enabled. Finer-grained control exists at lower level inside each bean. If this attribute is missing, it defaults to "false".

  See Also:
    `setAvailabilityEnabled(boolean)`

### setAvailabilityEnabled

    public void setAvailabilityEnabled(boolean enabled)

  See Also:
    `getAvailabilityEnabled()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.